Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_new_uri_from_filename

## Name

librdf_new_uri_from_filename -- Constructor - create a new librdf_uri object from a filename

## Synopsis

``librdf_uri* `librdf_new_uri_from_filename`` (librdf_world* `world`, const char * `filename`);`

## Arguments

`world`

  Redland librdf_world object

`filename`

  filename

## Return value

a new librdf_uri object or NULL on failure

<<< Previous | Home | Next >>>
librdf_new_uri_relative_to_base | Up | librdf_free_uri